-- $Name:Лепестки$
-- $Version: 1.1$
-- $Author: Дмитрий Блинов$

--[[
    add author tag
    fix instead_version
    rename root dir > petals
    made new zip-archive | upload to instead-games.ru
    misspell
    Maksim Kasherny <jmaksima_at_gmail_dot_com>
    Jan 13, 2015
--]]
instead_version "2.2.0"
require "xact"
require "hideinv"
require "para"
require "dash"
require "quotes"
game.codepage = "UTF-8";
game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Не сработает...';
game.forcedsc = true;
main = room {
	nam = 'Лепестки.',
	dsc = [[Лепестки. Игра Дмитрия Блинова, специально для КРИЛ 2013.^^18+]],
	obj = {vobj('далее','{^Далее}')},
	act = function()
		return walk(table_);
		end,
	enter = function()
		set_music("mus/mus6.ogg");
	end,
};
table_ = room {
	nam = 'За столиком',
	dsc = function()
		if visited() == 1 then p 'Я сидел за столом и потягивал кофе. Он был очень горячим, и я чуть ли не обжигался. От пара запотело окно. На улице светило яркое солнце - приятная осенняя погода, желтые листья ковром застилали асфальт, в попытке скрыть городскую серость. Я был в печали, не понимая, от чего конкретно. Но что-то не давало насладиться всей этой красотой золотых листьев, что-то глубоко в душе терзало меня. Я сделал еще глоток и поставил напиток на стол.';
		else p 'Я сел за стол. На улице светило яркое солнце - приятная осенняя погода, желтые листья ковром застилали асфальт, в попытке скрыть городскую серость. Я был в печали, не понимая, от чего конкретно. Но что-то не давало насладиться всей этой красотой золотых листьев, что-то глубоко в душе терзало меня.';
		end
		end;
	obj = {'coffe', 'window'};
	way = {'myroom'};
	exit = function()
		return 'Я встал из-за столика.';
		end,
};
coffe = obj {
	nam = 'Кофе',
	_drinked = false;
	dsc = function(s)
		if not s._drinked then p 'На столике стоял недопитый {кофе}.';
		else p 'На столе стояла {пустая кружка}.';
		end
		end;
	act = function(s)
		if not s._drinked then
		p 'Я сделал последний глоток, опустошив кружку.';
		 s._drinked = true;
		else
		p 'Кружка пуста.';
		end
	end;
};
window = obj {
	nam = 'Окно',
	dsc = '{Окно} запотело снизу от жара.',
	act = 'Я со скрипом провел пальцем по стеклу. За ним образовалась прозрачная дорожка. На улице осень и ярко светит солнце, но на небе, кажется, начинают сгущаться тучи.';
};
myroom = room {
	nam = 'Комната',
	dsc = function()
		if not petals_bath._vis then p 'Моя комната... На стенах играли солнечные зайчики. Вот мой диван, залитый солнцем, вот телевизор, покрытый пылью. Я давно не включал его. С недавних пор я предпочитаю наслаждаться жизнью. Место телевизора в моем новом мире заняло окно.^И тут я заметил, что на полу что-то лежит. Множество белых лепестков, дорожкой тянущихся по полу. Откуда это?';
		else p 'Что-то изменилось. С моей комнатой что-то не так. Она больше не выглядит уютной, скорее наоборот, всё в ней вызывает отвращение - этот старый телевизор мне ненавистен. Гребаный диван, я никогда бы ни лег на эту развалюху. За окном всё небо затянуло тучами, и на стекле уже виднелось несколько капель. Дождь... Мне срочно нужно на улицу...';
		end
		end;
	obj = {'petals','TV','photo'},
	way = {'bathroom','hallway','table_'},
};
petals = obj {
	nam = 'Лепестки',
	dsc = 'На полу лежали {белые лепестки роз}.',
	act = 'Они каплями по ковру тянулись в сторону ванной. Я не приносил цветов... У меня не было мыслей, откуда они могли здесь взяться.',
};
TV = obj {
	nam = 'Телевизор',
	dsc = 'В углу на тумбочке стоял старый {телевизор}.',
	act = 'Кнопка включения не работает. Давно же я им не пользовался. Наверное, он умер от старости - рано или поздно, это происходит со всеми.',
};
photo = obj{
	nam = 'Фоторамка',
	dsc = 'Рядом с телевизором на журнальном столике стояла {рамка с фотографией}.',
	act = 'Я и Диана... Этому фото уже два года. Мы скоро поженимся... Я без ума от неё. Таких прекрасных каштановых волос больше нет ни у кого во всём свете.',
};
bathroom = room {
	nam = 'Ванная',
	dsc = [[Я шел по следу лепестков. Пол в ванной был на сантиметр залит водой, и я, не заметив этого, наступил босой ногой. Я не поверил своим глазам. Откуда всё это?!!^Ванна почти до краев была наполнена водой.]],
	obj = {'scissors','mirror','petals_bath'},
	way = {'myroom'},
};
petals_bath = obj {
	_vis = false,
	nam = 'Лепестки',
	dsc = 'В ней плавали {лепестки белых роз}, и они покрывали всю поверхность воды, отчего казалось, будто это всего лишь пена для ванны. Они были белоснежны, чисты, прекрасны.',
	act = function(s)
		if not s._vis then
		p 'Я посмотрел на лепестки поближе. Они по-настоящему прекрасны. Я в жизни ничего не видел приятнее для глаз. Я никогда не любил цветы, но здесь, здесь и сейчас, я был влюблен в них. И чем дольше я смотрел, тем сложнее было оторвать взгляд. Они перемешались в ярчайший белый цвет, и будто светились изнутри, заманивая мой разум куда-то глубоко, в прекрасное. Но вдруг мне стало невыносимо плохо. Невыносимо больно. Моя голова кружилась, а сердце бешено стучало. Здесь стало так тесно и душно... Мне нужно выбраться отсюда. Наружу, черт возьми, прочь из этого белого плена! Мне нужно выйти на улицу и вдохнуть чистого воздуха...';
		s._vis = true;
		set_music("mus/mus3.ogg");
		else p 'Мне нужно свалить отсюда! Меня тошнит!!!';
		end
		end;
	exit = function(s)
		if not s._vis then s._vis = true;
		end
		end;
	way = {'myroom'},
};
scissors = obj {
	nam = 'Ножницы',
	dsc = 'На полу лежали большие {садовые ножницы}.',
	act = 'Они все в какой-то зелёной краске. Я их в жизни не видел, это не мои ножницы.',
};
mirror = obj {
	nam = 'Зеркало',
	dsc = 'На стене висело запотевшее {зеркало}.',
	act = 'Я провел по нему ладонью, но ничего не увидел - оно по-прежнему было будто затянуто какой-то пеленой. Будто оно запотело не только снаружи, но и там, с внутренней стороны. Со стороны нереального мира отражений.',
};
hallway = room {
	nam = 'Прихожая',
	dsc = function()
		if not petals_bath._vis then p 'Прихожая была довольно узкой и тесной. Свет с улицы плохо доходил до сюда, и здесь всегда стоял полумрак - даже вечером, когда я включал свет, "низковаттная" лампа светила очень слабо, наполняя комнату тягучим, медленно заполняющим прихожую, желтым светом.';
		else p 'Прихожая была ужасно узкой и тесной, мне было тяжело дышать здесь - казалось, что стены вот-вот раздавят меня. Свет с улицы плохо доходил до сюда, и здесь всегда стоял полумрак - даже вечером, когда я включал свет, "низковаттная" лампа светила очень слабо, наполняя комнату тягучим, медленно заполняющим прихожую, желтым светом. Я задыхаюсь...';
		end
		end;
	obj = {'umbrella'};
	way = {'myroom','street'};
	exit = function(s,t)
		if t == street and not petals_bath._vis then
		return 'Мне нужно осмотреться по-лучше... Что за лепестки на полу? Кто это сделал?',
		false;
		end
		end;
};
umbrella = obj {
	_open = false,
	nam = 'Зонт',
	dsc = 'В углу стоял {зонт}.',
	tak = 'Я взял зонт.',
	inv = function(s)
			if not s._open then
			p 'Я закрыл зонт.';
			s._open = true;
			else p 'Я раскрыл зонт.';
			s._open	= false;
			end
			end;
};
street = room {
	nam = 'Улица',
	set_music("mus/mus8.ogg");
	dsc = function()
		if have(umbrella,me()) and umbrella._open then p 'Я вышел на улицу и вдохнул. Мне стало немного легче. Небо затянуло тучами, и капли дождя барабанили по полотну зонта.';
		else p 'Я вышел на улицу и вдохнул. Мне стало немного легче. Небо затянуло тучами, и капли дождя падали мне на голову.';
		end
		end;
	way = {'hallway','nothing'};
	exit = function(s,t)
		if t == nothing and not have(umbrella,me()) then
		return 'Кажется, сейчас начнется ливень. Мне нужно вернуться за зонтом',
		false;
		end
		end;
};
nothing = room {
	nam = 'Вперёд',
	dsc = function()
		if have(umbrella,me()) and not umbrella._open then p 'Я двинул прямо, просто прямо. Я шел вперед, в манящее Никуда, лишь бы убежать, прочь, прочь от этого чувства, от мыслей, которые будто бы начинали всплывать, но я не хотел их, я чувствовал, что они были ужасны, и топил их в глубокой пучине своего разума. Я бежал вперед, будто бы я мог от них убежать, скрыться... Но разве от мыслей возможно скрыться?^Я шел по мостовой, а дождь всё лил. Это был не просто дождь, это был ливень. Но вдруг мне захотелось выбросить этот чёртов зонт. Мне захотелось, чтобы меня смыло в сточную канаву. Грянул гром, а я смеялся: "Давай, лей, лей сильнее!!!".';
		else p 'Я закрыл зонт. И ливень пронзил меня насквозь. Вода ледяная, но я не чувствовал холода, я чувствовал лишь свободу. Тучи разошлись, а я отбросил в сторону зонт, и стоял посреди этого ливня, а солнце ярко светило мне прямо в лицо. Я стоял расставив руки в стороны, капли дождя блестели в солнечном свете. Что-то внутри меня будто высвободилось, вырвалось на свободу. Я наконец признался в чем то важном сам себе. Я наконец обрел покой. Дождь лил, принося лишь правду. Меня больше не выворачивало наизнанку. Пора возвращаться...';
		disable(umbrella);
		end
		end;
		way = {'hallway2'};
};
hallway2 = room {
	nam = 'Прихожая',
	dsc = 'Прихожая была довольно узкой и тесной. Свет с улицы плохо доходил досюда, и здесь всегда стоял полумрак - даже вечером, когда я включал свет, "низковаттная" лампа светила очень слабо, наполняя комнату тягучим, медленно заполняющим прихожую, желтым светом.';
	way = {'myroom2','street'};
	exit = function(s,t)
		if t == street then
		return 'Дверь не открывается! Слышно, как звенят какие-то цепи с другой стороны. Меня что, кто-то запер?!!',
		false;
		end
		end;
};
myroom2 = room {
	nam = 'Комната',
	dsc = 'Моя комната... На стенах снова играли солнечные зайчики. Вот мой диван, залитый солнцем, вот телевизор, покрытый пылью.',
	obj = {'blood_drops','TV','photo2'},
	way = {'bathroom2','hallway2','table_2'},
};
table_2 = room {
	nam = 'За столиком',
	dsc = 'Я сел за столик. Солнце согрело теплом мое лицо',
	way = {'myroom2'};
	exit = function()
		return 'Я встал из-за столика.';
		end,
};
blood_drops = obj {
	nam = 'Капли крови',
	dsc = 'Под ногами, в одном из солнечных пятен я увидел {капли крови}.',
	act = 'Струйка, уходящая далеко вперёд, скрывающаяся в ванной... Что происходит? Черт возьми, что происходит?!!',
	way = {'bathroom2'},
};
photo2 = obj{
	nam = 'Фоторамка',
	dsc = 'Рядом с телевизором на журнальном столике стояла {рамка с фотографией}.',
	act = 'Я и Диана... Этому фото уже два года. Мы скоро поженимся... Я без ума от неё. Таких прекрасных каштановых волос больше нет ни у кого во всём свете. Боже, оно всё в крови...',
};
bathroom2 = room {
	nam = 'Ванная',
	dsc = [[Я шел по следу кровавых пятен.]],
	obj = {'knife','mirror2','diana'},
	way = {'nightmare'},

};
knife = obj {
	nam = 'Нож',
	dsc = 'На полу, рядом с ванной, лежал {кухонный нож}',
	act = 'Он весь в крови! Ужасно... Я... Я не знаю, что здесь произошло... Это не я... Не я!!! Я не хочу... Боже, я не убивал её! Я не хочу об этом знать!!! Что же я натворил...',
};
mirror2 = obj {
	nam = 'Зеркало',
	dsc = 'На стене висело запотевшее {зеркало}.',
	act = 'С другой стороны зеркала, моё смутное отражение - оно пытается оттереть запотевшее стекло!.',
};
diana = obj {
	nam = 'Волосы',
	dsc = 'Ванна наполнена почти до краев... Вода в ней красного цвета. Никаких лепестков. Я не могу туда смотреть... Таких прекрасных каштановых волос больше нет ни у кого во всём свете.';
};
nightmare = room {
	nam = 'Комната',
		enter = function()
		set_music("mus/mus8.ogg");
	end,
	dsc = 'Я очнулся в своей кровати. Холодный пот проступил на лбу. Диана... Я лежал с ней в обнимку, она была повернута ко мне спиной, и я уткнулся в её прекрасные волосы. Я почувствовал, что из моих глаз потекли слезы. Так это был сон... Я крепко обнял её и поцеловал. Она пошевелилась, перевернулась на спину, но не проснулась. Я смотрел на ее гладкое лицо, эту нежную кожу, и думал. На журнальном столике стоял букет белоснежных роз, который подарил ей какой-то парень, когда она была на работе. Она принесла их домой, а я ненавидел весь свет. Я знал, что это ничего не значит, она здесь, со мной, но я ревновал. Я боялся... Не был достаточно уверен в себе. Потому что потерять такую девушку означало для меня потерять все. Я никого не убивал. Я лишь убил в себе ревность.^За окном шел ливень, но светило яркое солнце. Я вышел на улицу и встал под дождем. Вода ледяная, но я не чувствовал холода, я чувствовал лишь свободу. Я стоял расставив руки в стороны, капли дождя блестели в солнечном свете. Что-то внутри меня будто высвободилось, вырвалось на свободу. Я наконец признался в чем то важном сам себе. Я наконец обрел покой. Дождь лил, принося лишь правду. Меня больше не выворачивало наизнанку. Я любил её, и она любила меня. Пора возвращаться...',
};
